Summary:	Plasma 5 Oxygen theme
Name:		oxygen
Version:	5.7.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{name}-%{version}.tar.xz
Patch0:		oxygen-5.5.2-rename-translations.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kdecoration2-devel >= %{version}
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5frameworkintegration-devel
BuildRequires:	kf5guiaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(xcb)
Requires:	kde-cursor-theme-classic
Requires:	oxygen-cursor-theme-black
Requires:	oxygen-cursor-theme-blue
Requires:	oxygen-cursor-theme-white
Requires:	oxygen-cursor-theme-yellow
Requires:	oxygen-cursor-theme-zion
Requires:	oxygen-gtk
Requires:	oxygen-gtk3
Requires:	plasma5-decoration-oxygen
Requires:	plasma5-sounds-oxygen
Requires:	plasma5-style-oxygen
Requires:	plasma5-look-and-feel-oxygen

%description
Plasma 5 Oxygen theme.

%files -f oxygen_style_demo5.lang
%{_kde5_bindir}/oxygen-demo5

#----------------------------------------------------------------------------

%package -n liboxygenstyle5-i18n
Summary:	Plasma 5 Oxygen style libraries translations
Group:		System/Internationalization

%description -n liboxygenstyle5-i18n
Plasma 5 Oxygen style libraries translations.

%files -n liboxygenstyle5-i18n -f liboxygenstyleconfig5.lang

#----------------------------------------------------------------------------

%define oxygenstyle5_major 5
%define liboxygenstyle5 %mklibname oxygenstyle5_ %{oxygenstyle5_major}

%package -n %{liboxygenstyle5}
Summary:	Plasma 5 Oxygen style shared library
Group:		System/Libraries
Requires:	liboxygenstyle5-i18n

%description -n %{liboxygenstyle5}
Plasma 5 Oxygen style shared library.

%files -n %{liboxygenstyle5}
%{_kde5_libdir}/liboxygenstyle5.so.%{oxygenstyle5_major}*

#----------------------------------------------------------------------------

%define oxygenstyleconfig5_major 5
%define liboxygenstyleconfig5 %mklibname oxygenstyleconfig5_ %{oxygenstyleconfig5_major}

%package -n %{liboxygenstyleconfig5}
Summary:	Plasma 5 Oxygen style shared library
Group:		System/Libraries
Requires:	liboxygenstyle5-i18n

%description -n %{liboxygenstyleconfig5}
Plasma 5 Oxygen style shared library.

%files -n %{liboxygenstyleconfig5}
%{_kde5_libdir}/liboxygenstyleconfig5.so.%{oxygenstyleconfig5_major}*

#----------------------------------------------------------------------------

%package -n kde-cursor-theme-classic
Summary:	Plasma 5 KDE Classic cursor theme
Group:		Graphical desktop/KDE
Conflicts:	kdebase4-workspace

%description -n kde-cursor-theme-classic
Plasma 5 KDE Classic cursor theme.

%files -n kde-cursor-theme-classic
%dir %{_kde5_iconsdir}/KDE_Classic
%{_kde5_iconsdir}/KDE_Classic/*

#----------------------------------------------------------------------------

%package -n oxygen-cursor-theme-black
Summary:	Plasma 5 Oxygen Black cursor theme
Group:		Graphical desktop/KDE
Conflicts:	kdebase4-workspace

%description -n oxygen-cursor-theme-black
Plasma 5 Oxygen Black cursor theme.

%files -n oxygen-cursor-theme-black
%dir %{_kde5_iconsdir}/Oxygen_Black
%{_kde5_iconsdir}/Oxygen_Black/*

#----------------------------------------------------------------------------

%package -n oxygen-cursor-theme-blue
Summary:	Plasma 5 Oxygen Blue cursor theme
Group:		Graphical desktop/KDE
Conflicts:	kdebase4-workspace

%description -n oxygen-cursor-theme-blue
Plasma 5 Oxygen Blue cursor theme.

%files -n oxygen-cursor-theme-blue
%dir %{_kde5_iconsdir}/Oxygen_Blue
%{_kde5_iconsdir}/Oxygen_Blue/*

#----------------------------------------------------------------------------

%package -n oxygen-cursor-theme-white
Summary:	Plasma 5 Oxygen White cursor theme
Group:		Graphical desktop/KDE
Conflicts:	kdebase4-workspace

%description -n oxygen-cursor-theme-white
Plasma 5 Oxygen White cursor theme.

%files -n oxygen-cursor-theme-white
%dir %{_kde5_iconsdir}/Oxygen_White
%{_kde5_iconsdir}/Oxygen_White/*

#----------------------------------------------------------------------------

%package -n oxygen-cursor-theme-yellow
Summary:	Plasma 5 Oxygen Yellow cursor theme
Group:		Graphical desktop/KDE
Conflicts:	kdebase4-workspace

%description -n oxygen-cursor-theme-yellow
Plasma 5 Oxygen Yellow cursor theme.

%files -n oxygen-cursor-theme-yellow
%dir %{_kde5_iconsdir}/Oxygen_Yellow
%{_kde5_iconsdir}/Oxygen_Yellow/*

#----------------------------------------------------------------------------

%package -n oxygen-cursor-theme-zion
Summary:	Plasma 5 Oxygen Zion cursor theme
Group:		Graphical desktop/KDE
Conflicts:	kdebase4-workspace

%description -n oxygen-cursor-theme-zion
Plasma 5 Oxygen Zion cursor theme.

%files -n oxygen-cursor-theme-zion
%dir %{_kde5_iconsdir}/Oxygen_Zion
%{_kde5_iconsdir}/Oxygen_Zion/*

#----------------------------------------------------------------------------

%package -n plasma5-decoration-oxygen
Summary:	Plasma 5 Oxygen window decoration
Group:		Graphical desktop/KDE
Requires:	plasma5-settings-oxygen

%description -n plasma5-decoration-oxygen
Plasma 5 Oxygen window decoration.

%files -n plasma5-decoration-oxygen -f oxygen_kdecoration5.lang
%{_kde5_services}/oxygendecorationconfig.desktop
%{_qt5_plugindir}/org.kde.kdecoration2/oxygendecoration.so

#----------------------------------------------------------------------------

%package -n plasma5-settings-oxygen
Summary:	Oxygen theme configuration module for Plasma 5
Group:		Graphical desktop/KDE

%description -n plasma5-settings-oxygen
Oxygen theme configuration module for Plasma 5.

%files -n plasma5-settings-oxygen -f oxygen_style_config5.lang
%{_kde5_bindir}/oxygen-settings5
%{_kde5_iconsdir}/hicolor/*/apps/oxygen-settings.*

#----------------------------------------------------------------------------

%package -n plasma5-sounds-oxygen
Summary:	Plasma 5 Oxygen sounds
Group:		Graphical desktop/KDE

%description -n plasma5-sounds-oxygen
Plasma 5 Oxygen sounds.

%files -n plasma5-sounds-oxygen
%{_kde5_datadir}/sounds/Oxygen-*.ogg

#----------------------------------------------------------------------------

%package -n plasma5-style-oxygen
Summary:	Oxygen style for Plasma 5
Group:		Graphical desktop/KDE
Requires:	plasma5-settings-oxygen
Requires:	qt5-style-oxygen

%description -n plasma5-style-oxygen
Oxygen style for Plasma 5.

%files -n plasma5-style-oxygen
%{_kde5_datadir}/kstyle/themes/oxygen.themerc
%{_kde5_services}/oxygenstyleconfig.desktop
%{_qt5_plugindir}/kstyle_oxygen_config.so

#----------------------------------------------------------------------------

%package -n plasma5-look-and-feel-oxygen
Summary:	Oxygen look and feel for Plasma 5
Group:		Graphical desktop/KDE
Requires:	oxygen-cursor-theme-black
Requires:	plasma5-style-oxygen

%description -n plasma5-look-and-feel-oxygen
Oxygen look and feel for Plasma 5.

%files -n plasma5-look-and-feel-oxygen
%dir %{_kde5_datadir}/plasma/look-and-feel/org.kde.oxygen
%{_kde5_datadir}/plasma/look-and-feel/org.kde.oxygen/*

#----------------------------------------------------------------------------

%package -n qt5-style-oxygen
Summary:	Oxygen style for Qt5
Group:		Graphical desktop/KDE

%description -n qt5-style-oxygen
Oxygen style for Qt5.

%files -n qt5-style-oxygen
%{_qt5_plugindir}/styles/oxygen.so

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

# KDE4 file
rm -f po/*/oxygen_kwin_deco.po

for oldlang in po/*/*.po
do
    newlang=`echo $oldlang | sed s,\.po,5\.po,g`
    mv $oldlang $newlang
done

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

# Useless, we don't have headers
rm -f %{buildroot}%{_kde5_libdir}/liboxygenstyle5.so
rm -f %{buildroot}%{_kde5_libdir}/liboxygenstyleconfig5.so

%find_lang liboxygenstyleconfig5
%find_lang oxygen_kdecoration5
%find_lang oxygen_style_config5
%find_lang oxygen_style_demo5


%changelog

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (b2e54b3) New version 5.7.2


